package main

import (
	"context"
	"google.golang.org/grpc"
	"google.golang.org/grpc/reflection"
	pb "laracom/demo-service/proto/demo"
	"log"
	"net"
)

const (
	port = ":9999"
)

type DemoService struct {

}

func (ds *DemoService) SayHello(ctx context.Context, req *pb.DemoRequest) (*pb.DemoResponse, error) {
	return &pb.DemoResponse{Text: "你好, " + req.Name}, nil
}

func main() {
	listener, err := net.Listen("tcp", port)
	if err != nil {
		log.Fatalf("监听指定端口失败: %v", err)
	}

	server := grpc.NewServer()
	pb.RegisterDemoServiceServer(server, &DemoService{})

	reflection.Register(server)

	if err := server.Serve(listener); err != nil {
		log.Fatalf("服务启动失败: %v", err)
	}
}